Intereting Posts
Ошибка библиотеки биллинга Android OnOptionsItemSelected не получает вызов при использовании пользовательского вида действий Google Cloud Messaging для Android-библиотеки и Google Play Services Нужна помощь, чтобы понять утечку памяти в приложении для Android Проводник Android Device Monitor не работает с Android 7 (API 24+) Android Context Weak Reference Нужна помощь, связанная с Неустранимым Исключением, вызванным java.lang.IncompatibleClassChangeError Мониторинг сетевой активности в приложении HTML5 iphone / android? Eclipse: не позволит мне использовать Android SDK, ошибочно утверждает, что мой ADT устарел SecurityException: отказ от разрешения: открытие провайдера Как создать дамп Java Thread в Android? Java – лучшая практика для геттеров, одного геттера или нескольких для разных переменных? Как получить имя оператора, подключенного к Интернету в телефоне с двумя SIM-картами? Кто-нибудь успешно ограничил размер кеша WebView? Как конвертировать apklib в aar

Android 4.4 (KITKAT) API LEVEL 19 не указан в Android SDK Manager

Android 4.4 ( KITKAT ) API Level: 19 теперь доступен Android 4.4 ( KITKAT ) API Level: 19 .

Я просто хочу обновить до последнего уровня API, а затем изменить android:targetSdkVersion="19" в файле манифеста.

Я нажал на Android SDK Manager используя Eclipse Java EE IDE for Web Developers с Version: Helios Service Release 2.

Диспетчер Android SDK был открыт, но я не нашел Android API Level: 19 в списке пакетов.

Далее я увидел другие сообщения SO, в которых упоминалось, что если вы очистите кеш в разделе Tools -> Options в Android SDK Manager и перезагрузите Android SDK Manager, вы получите этот API, указанный в пакетах.

Я сделал то же самое, но не повезло.

Снимок экрана ниже –

Введите описание изображения здесь

Solutions Collecting From Web of "Android 4.4 (KITKAT) API LEVEL 19 не указан в Android SDK Manager"

Модернизация до последних «инструментов Android SDK» была решением, хотя это было не просто вперед и требовало небольшой настройки. Он должен был сначала обновить ADT.

После обновления ADT я перезагрузил «Android SDK Manager» . Теперь в Android SDK Manager не было каналов предварительного просмотра инструментов, а для перезагрузки диспетчера попросили либо установить «Инструменты», либо «Инструменты (Предварительный канал)» .

Я сделал установку для «Инструменты», и она сработала.

Между тем, ссылка, полезная для выяснения проблемы, была:

Обновите Android SDK Tool до последней версии .

Во время процесса он выдавал timed out error и не разрешалось прямое обновление.

Итак, как упоминалось в связанном сообщении, я впервые обновил ADT до последней, а затем я установил «SDK Tools» для недавно обновленного ADT.

Затем, когда я получаю последние «SDK Tools» , все было установлено.

Поскольку это была новая установка ADT, поэтому не было «инструментов (Preview Channel)», которые уже были установлены ранее. Однако теперь вы выбираете, какой инструмент вы хотите установить. Я установил «Инструменты» .

Затем я перезагрузил «Android SDK Manager» и появился API 19.

У меня была такая же проблема, и я исправил ее, нажав «Пакеты -> Перезагрузка».